%define module_version 0.08
%define module_name Catmandu-XLS
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Catmandu.pm) perl(Catmandu/Exporter.pm) perl(Catmandu/Importer.pm) perl(Catmandu/Sane.pm) perl(Encode.pm) perl(Excel/Writer/XLSX.pm) perl(IO/File.pm) perl(Module/Build/Tiny.pm) perl(Moo.pm) perl(Spreadsheet/ParseExcel.pm) perl(Spreadsheet/ParseExcel/Utility.pm) perl(Spreadsheet/ParseXLSX.pm) perl(Spreadsheet/WriteExcel.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(XML/LibXML/Reader.pm) perl(namespace/clean.pm) perl(Throwable/Error.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.08
Release: alt1
Summary: modules for working with Excel .xls and .xlsx files
Group: Development/Perl
License: perl
URL: https://github.com/LibreCat/Catmandu-XLS

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JO/JOROL/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
NAME

    Catmandu::XLS - modules for working with Excel .xls and .xlsx files

SYNPOSIS

        # Convert Excel to CSV
        $ catmandu convert XLS to CSV < ./t/test.xls > test.csv
        $ catmandu convert XLSX to CSV < ./t/test.xlsx > test.csv
    
        # Convert Excel to JSON
        $ catmandu convert XLS to JSON
        $ catmandu convert XLS 

%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/C*

%changelog
* Fri Mar 04 2016 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- regenerated from template by package builder

* Sun Oct 18 2015 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- regenerated from template by package builder

* Mon Dec 29 2014 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- regenerated from template by package builder

* Tue Mar 11 2014 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

